import UIKit

fileprivate let interstitialBaseViewControllerNibName = "InterstitialBaseViewController"

/// Base controller for interstitial integration cases
class InterstitialBaseViewController: UIViewController {
    
    // Integration case ad size, for interstitial default size 320x480
    // This property is later setuped with an IntegrationCase size
    var adSize = CGSize(width: 320, height: 480)
    
    convenience init(adSize: CGSize) {
        self.init(nibName: interstitialBaseViewControllerNibName, bundle: nil)
        self.adSize = adSize
    }
    
    convenience init() {
        self.init(nibName: interstitialBaseViewControllerNibName, bundle: nil)
    }
}
